spring:
  application:
    name: TsywxtDataCollect-Dev
  redis:
    ##redis 单机环境配置
#    host: 172.31.1.154
#    port: 6379
#    password:  Dh@82828800
#    database: 6
    host: 172.1.0.75
    port: 6379
    password:  Dh82828800
    database: 0
  kafka:
#    bootstrap-servers: 172.31.1.154:9092
    bootstrap-servers: 172.31.1.228:9092
    producer:
      retries: 0
      batch-size: 16384
      buffer-memory: 33554432
      key-serializer: org.apache.kafka.common.serialization.StringSerializer
      value-serializer: org.apache.kafka.common.serialization.StringSerializer
    consumer:
      group-id: kafka-tsywxt-collect-server-dev
      # 手动提交
      enable-auto-commit: false
      auto-offset-reset: latest
      key-deserializer: org.apache.kafka.common.serialization.StringDeserializer
      value-deserializer: org.apache.kafka.common.serialization.StringDeserializer
      properties:
        session.timeout.ms: 60000
    listener:
      log-container-config: false
      concurrency: 5
      # 手动提交
      ack-mode: manual_immediate

rockdb-config:
  save-path: D:\\tmp\\rockdb
mq-topic:
  topic-queue-to-rtu-datagram: queue-to-rtu-datagram
  topic-queue-waiting-process-datagram: queue-waiting-process-datagram
  topic-tsywxt-hbase: topic-tsywxt-hbase
tsywxt-config:
  nio:
    listener:
      tcp-port: 8001-ON,8003-OFF,8004-OFF
      udp-port: 8002-OFF
  template:
    path: "E:\\dh_svn\\Project\\DHRJ-TSSYSTEM\\SERVER\\TSDDCS\\tsddcs-datacollect\\src\\main\\resources\\templates"
    templates: SW2014,SZY2012
hbase:
  enable: true
  zookeeper:
    quorum: 172.9.0.190
    property:
      clientPort: 2181
    znode:
      parent: /hbase

